# Create Case

## Create a Case

<mark style="color:green;">`POST`</mark> `/api/v1/cases`

Create a new case in Monolith

#### Request Body

| Name                                          | Type                | Description                                                                                                                                       |
| --------------------------------------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `case_name`<mark style="color:red;">\*</mark> | String              | This is the name of the case.                                                                                                                     |
| `case_number`                                 | String              | Unique case number.                                                                                                                               |
| `description`                                 | String              | This is a basic description of the case.                                                                                                          |
| `case_status`                                 | String              | This is the status of the case.                                                                                                                   |
| `case_type`                                   | String              | This is the type of case.                                                                                                                         |
| `case_lead_id`                                | Integer             | This is the user id of the Monolith user you wish to set as the case lead for the case.                                                           |
| `case_open_date`                              | Date                | The date the case was opened.                                                                                                                     |
| `client_id`                                   | Integer             | This is the id of the client that is associated with the case.                                                                                    |
| `user_group_uuid`                             | string \| string\[] | <p>The UUID of the user group that you want assigned to a case during creation.  <br><br>Can be a single string value or an array of strings.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/cases-api/create-case.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
